{% extends 'base.html' %}

{% block title %}
    {{data.name}}
{% endblock %}

{% block content %}
{% if request.user.is_staff %}
<div class="col">
    <a class="btn btn-warning" href="{% url 'update_event' data.pk %}">Edit</a>
    <a class="btn btn-danger" href="{% url 'delete_event' data.pk %}">Delete</a>
</div>
{% endif %}
<div class="w-100"></div>
        <div class="col">
            <div class="card">
                {% if data.preview %}
                <img class="card-img-top" src="{{data.preview.url}}"/>
                {% endif %}
                <div class="card-body">
                    <h5 class="card-title">{{data.shortname}}</h5>
                    <p class="card-text">{{data.start.date}}</p>
                    <p class="card-text">{{data.location}}</p>
                    <p class="card-text">{{data.description}}</p>
                </div>
                <div class="w-100"></div>
                {% if participants %}
                <h3>Participant Data</h3>
                    <h5>There are {{participants|length}} participant{% if participants|length > 1 %}s{% endif %}</h5>
                    {% if request.user.is_staff %}
                    <table class="table table-bordered">
                        <thead class="thead-dark">
                            <tr>
                                <th>No</th>
                                <th>Name</th>
                                <th>Phone</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for item in participants %}
                            <tr>
                                <td>{{forloop.counter}}</td>
                                <td>{{item.participant.user.first_name}}</td>
                                <td>{{item.participant.phone}}</td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                    {% endif %}
                {% else %}
                    <h3>There are no participant in these event</h3>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock content %}